Enable updating private_notes property on journal edit form
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version:

Description

In current versions of Redmine, users can set 'private’ flag when they add new notes, but they don't have any way of updating the

flag of existing notes.

| have made the patch, enable to updating “private_notes™ property on journal update form.

updating_private_notes.jpg
patch: enable_to_update private notes_trunk r15336.patch

Related issues:
Is duplicate of Redmine - Feature #12706: Ability to change the private flag ...

Closed

Associated revisions

Revision 15620 - 2016-07-10 12:33 - Jean-Philippe Lang
Enable updating private_notes property on journal edit form (#22575).

Patch by Takenori TAKAKI.

Revision 15621 - 2016-07-10 12:58 - Jean-Philippe Lang

Wrap journal attributes with a journal parameter and use safe_attributes (#22575).

Revision 15622 - 2016-07-10 13:03 - Jean-Philippe Lang
Code cleanup (#22575).

Revision 15623 - 2016-07-10 13:04 - Jean-Philippe Lang

Renames #render_private_notes to #render_private_notes_indicator (#22575).

History

#1 - 2016-04-19 10:09 - Go MAEDA

- Category set to Issues

#2 - 2016-04-24 11:08 - Go MAEDA

Interesting feature. But | think "Set notes as private" permission should be checked in JournalsController when updating "private” flag.

#3 - 2016-04-28 10:12 - Takenori TAKAKI
- File enable_to_update_private _notes_trunk_r15361.patch added

Go MAEDA wrote:

Interesting feature. But | think "Set notes as private" permission should be checked in JournalsController when updating "private” flag.

Thank you for pointing out the not implemented of permission-check.
| added the permission-check, and re-created the patch.
(Compatible the latest trunk r15361)

#4 - 2016-04-28 11:34 - Wim DePreter
+1, and duplicated by #12706

#5 - 2016-04-30 03:19 - Go MAEDA
https://www.redmine.org/attachments/15839
https://www.redmine.org/projects/redmine/repository/svn/revisions/15361
https://www.redmine.org/issues/12706

- File cannot-set-private-to-public.mp4 added

Thanks for submitting a new patch. | confirmed that permissions are properly checked when updating the flag.

But | am having some trouble setting private note to public. | cleared "Private notes" check box and saved it, but the note still remains in private.

Please see the attached video: cannot-set-private-to-public.mp4

#6 - 2016-05-02 03:29 - Takenori TAKAKI
- File enable_to_update_journal _notes_private_or_public_trunk_r15361.patch added

Go MAEDA wrote:

But | am having some trouble setting private note to public. | cleared "Private notes" check box and saved it, but the note still remains in private.

Please see the attached video: cannot-set-private-to-public.mp4

Thank you for pointing out my patch's bug. | confirmed same trouble on my environment too...

| Fix the bug, and re-created the patch. Could you please try again the new patch?

#7 - 2016-05-02 03:51 - Go MAEDA
Takenori TAKAKI wrote:

| Fix the bug, and re-created the patch. Could you please try again the new patch?

Works fine. Thanks!

#8 - 2016-05-02 03:52 - Go MAEDA

- Is duplicate of Feature #12706: Ability to change the private flag when editing a note added

#9 - 2016-07-03 16:26 - Go MAEDA

- Target version set to 3.4.0

It looks good to me. Setting target version to 3.4.0.

#10 - 2016-07-10 13:16 - Jean-Philippe Lang

- Status changed from New to Closed

#11 - 2016-07-10 13:17 - Jean-Philippe Lang
- Assignee set to Jean-Philippe Lang
- Target version deleted (3.4.0)

Thanks for the patch. I've made a few changes after that.
Removing it from 3.4.0 as the feature is tracked in #12706.
